# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Online Payments ```yaml openapi: 3.0.1 info: title: Online Payments API description: Online Payments is the primary payment solution for card not present transactions. Manage the entire payments lifecycle for multiple methods of payments, including card payments, alternative methods of payment, and wallet payments. version: 2.15.0 contact: name: Online Payments API Support url: https://developer.payments.jpmorgan.com/contact/support servers: - url: https://api-ms.payments.jpmorgan.com/api/v2 description: PRODUCTION - OAUTH - url: https://api-ms-test.payments.jpmorgan.com/api/v2 description: CLIENT TESTING - OAUTH - url: https://api-mock.payments.jpmorgan.com/api/v2 description: MOCK security: - BearerAuth: [] tags: - name: Transactions description: Initiating and processing a payment - name: Health Check description: Check if a particular service is available - name: Fraud description: Fraud check for a payment paths: /healthcheck/payments: get: summary: Health check for payments security: [] operationId: V2PaymentHealthGet tags: - Health Check description: Health check for payments responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth Basic: value: status: PASS '429': description: Too Many Requests content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth CIT Onetime Stored: value: status: FAIL /healthcheck/refunds: get: summary: Health check for refunds security: [] operationId: V2RefundHealthGet tags: - Health Check description: Health check for refunds responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth Basic: value: status: PASS '429': description: Too Many Requests content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth CIT Onetime Stored: value: status: FAIL /healthcheck/verifications: get: summary: Health check for verifications security: [] operationId: V2VerificationHealthGet tags: - Health Check description: Health check for verifications responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth Basic: value: status: PASS '429': description: Too Many Requests content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Approved Auth CIT Onetime Stored: value: status: FAIL /payments: post: summary: Create a payment operationId: V2PaymentPost tags: - Transactions description: Create a payment request with a specified payment instrument. Authorization and Sale (Authorization and capture). parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Approved Auth Basic: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 Approved Auth CIT Onetime Stored: value: 11cc0270-7bed-11e9-a188-1763956dd7f6 Approved Auth MIT Subsequent Stored: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 Healthcare VI: value: 19cc0270-7bed-11e9-a188-1763956dd7f6 Healthcare MC: value: 20cc0270-7bed-11e9-a188-1763956dd7f6 Approved Auth With Authentication: value: 13cc0270-7bed-11e9-a188-1763956dd7f6 Pinless Debit: value: 14cc0270-7bed-11e9-a188-1763956dd7f6 ACH Auth And Capture: value: 15cc0270-7bed-11e9-a188-1763956dd7f6 GooglePay Auth And Capture: value: 16cc0270-7bed-11e9-a188-1763956dd7f6 ApplePay Auth And Capture: value: 17cc0270-7bed-11e9-a188-1763956dd7f6 Approve With Page encryption: value: 18cc0270-7bed-11e9-a188-1763956dd7f6 CB Approve With Non-3DS: value: 21cc0270-7bed-11e9-a188-1763956dd7f6 CB Approve With 3DS: value: 22cc0270-7bed-11e9-a188-1763956dd7f6 Approve First Recurring: value: 23cc0270-7bed-11e9-a188-1763956dd7f6 Approve Subsequent Recurring: value: 24cc0270-7bed-11e9-a188-1763956dd7f6 Pinless Maestro: value: 12ed6c8f-6294-487f-9bb8-6d92ad1c6382 Klarna With Interoperability Token: value: 95fbc223-cbf2-4bd6-ab4e-2c639b570106 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Approved Auth Basic: value: '998482157630' Approved Auth CIT Onetime Stored: value: '998482157631' Approved Auth MIT Subsequent Stored: value: '998482157632' Healthcare VI: value: '998482157639' Healthcare MC: value: '998482157640' Approved Auth With Authentication: value: '998482157633' Pinless Debit: value: '998482157634' ACH Auth And Capture: value: '998482157635' GooglePay Auth And Capture: value: '998482157636' ApplePay Auth And Capture: value: '998482157637' Approve With Page encryption: value: '998482157638' CB Approve With Non-3DS: value: '998482157641' CB Approve With 3DS: value: '998482157642' Approve First Recurring: value: '998482157643' Approve Subsequent Recurring: value: '998482157644' Pinless Maestro: value: '996043888975' Klarna With Interoperability Token: value: '998482157646' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: Payment request information required: true content: application/json: schema: $ref: '#/components/schemas/payment' examples: Approved Auth Basic: value: captureMethod: NOW amount: 1234 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 5 year: 2027 isBillPayment: true initiatorType: CARDHOLDER accountOnFile: NOT_STORED isAmountFinal: true Approved Auth CIT Onetime Stored: value: captureMethod: NOW amount: 10000 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 10 year: 2040 initiatorType: CARDHOLDER accountOnFile: TO_BE_STORED originalTransactionId: '16444' accountHolder: referenceId: '1245' firstName: John lastName: Doe email: john.doe@gmail.com IPAddress: 104.18.127.1 billingAddress: line1: 123 main street line2: Apartment 2 city: Tampa state: FL postalCode: '33785' countryCode: USA shipTo: shippingAddress: line1: 123 main street line2: Apartment 2 city: Tampa state: FL postalCode: '33785' Approved Auth MIT Subsequent Stored: value: captureMethod: NOW amount: 10000 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 4 year: 2025 cvv: '100' initiatorType: MERCHANT accountOnFile: STORED originalTransactionId: '16' isAmountFinal: true recurring: recurringSequence: FIRST agreementId: '1235' paymentAgreementExpiryDate: '2040-10-30' accountHolder: referenceId: '1245' consumerIdCreationDate: '2021-09-01' firstName: John lastName: Doe email: john.doe@gmail.com IPAddress: 104.18.127.1 billingAddress: line1: 123 main street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' shipTo: shippingDescription: Personal Item shipping to my home shippingAddress: line1: 123 main street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' fullName: John Doe email: john.doe@gmail.com Healthcare VI: value: isCapture: true captureMethod: NOW amount: 12000 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 5 year: 2024 cvv: '100' accountOnFile: NOT_STORED isAmountFinal: true retailAddenda: healthcareData: totalHealthcareAmount: 12000 totalVisionAmount: 1000 totalClinicAmount: 1000 totalDentalAmount: 5000 totalPrescriptionAmount: 5000 isIIAS: true Healthcare MC: value: isCapture: true captureMethod: NOW amount: 12000 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumber: '5111005111051128' expiry: month: 5 year: 2024 cvv: '100' accountOnFile: NOT_STORED isAmountFinal: true retailAddenda: healthcareData: totalHealthcareAmount: 12000 totalVisionAmount: 1000 totalClinicAmount: 1000 totalDentalAmount: 5000 totalPrescriptionAmount: 5000 isIIAS: true Approved Auth With Authentication: value: captureMethod: MANUAL amount: 1234 currency: EUR initiatorType: CARDHOLDER merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumberType: PAN accountNumber: '4012000033330026' expiry: month: 1 year: 2037 paymentAuthenticationRequest: accountType: CREDIT authenticationReturnUrl: https://merchantreturnurl.com authenticationSupportUrl: https://merchantsupporturl.com threeDSAccountAdditionalInfo: consumerAccountCreateLength: NO_ACCOUNT consumerAccountCreateTimestamp: '2023-08-10' consumerAccountUpdateLength: CURRENT_TXN consumerAccountUpdateTimestamp: '2023-06-05' consumerAccountPasswordUpdateTimestamp: '2023-06-05' consumerAccountPasswordChangeLength: NO_CHANGE consumerAccountShippingAddressLength: CURRENT_TXN_CHANGE consumerAccountFirstShippingDate: '2023-06-05' twentyFourHoursTransactionCount: 1 previousYearTransactionCount: 2 consumerAccount24HoursAddCardCount: 3 sixMonthTransactionCount: 2 consumerAccountSuspiciousActivityIndicator: false consumerAccountShipNameIdenticalIndicator: true consumerPaymentAccountLength: NO_ACCOUNT consumerPaymentAccountEnrollmentDate: '2023-06-05' consumerAccountAddressIdenticalIndicator: true threeDSRequestorPriorAuthenticationInfo: authenticationMethod: FRICTIONLESS authenticationTimestamp: '2023-08-21T15:12:12Z' threeDSPurchaseRisk: shipmentType: DIGITAL_GOODS deliveryTimeframe: ELECTRONIC orderEmailAddress: john.doe@gmail.com productRepurchaseIndicator: true productAvailabilityCode: AVAILABLE preOrderDate: '2023-06-05' purchasedPrepaidCardTotalAmount: 10 purchasedPrepaidCardCount: 2 prepaidCardCurrency: USD threeDSPurchaseInfo: purchaseDate: '2023-08-25T15:12:12Z' recurringAuthorizationDayCount: 2 threeDomainSecureTransactionType: GOODS_SERVICES threeDSRequestorAuthenticationInfo: threeDSAuthenticationTimestamp: '2023-08-25T15:12:12Z' threeDSAuthenticationData: testdata threeDSChallengeType: NO_CHALLENGE requestorAuthenticationMethod: REQUESTOR_CRED authenticationPurpose: PAYMENT_TRANSACTION accountHolder: referenceId: '1245' consumerIdCreationDate: '2021-09-01' firstName: John lastName: Doe email: John.Doe@gmail.com phone: countryCode: 1 phoneNumber: '8131112222' billingAddress: line1: 123 main street line2: Apartment 2 city: SALEM state: NH postalCode: '03105' countryCode: USA browserInfo: browserAcceptHeader: application/json deviceIPAddress: 192.168.192.12 browserLanguage: en browserColorDepth: '8' browserScreenHeight: '1' browserScreenWidth: '1' browserUserAgent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0 challengeWindowSize: FULL_SCREEN javaEnabled: false javaScriptEnabled: true Pinless Debit: value: captureMethod: MANUAL amount: 10000 currency: USD initiatorType: CARDHOLDER statementDescriptor: star-merchant merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumberType: PAN accountNumber: '4935550000000006' expiry: month: 12 year: 2027 cvv: '411' isBillPayment: true merchantPreferredRouting: PINLESS merchantSalesChannelName: MAIL_ORDER_TELEPHONE_ORDER preferredPaymentNetworkNameList: - STAR_PINLESS accountHolder: referenceId: ABC123GHI9807654 ACH Auth And Capture: value: captureMethod: NOW amount: 10000 currency: USD statementDescriptor: Statement Descriptor merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' softMerchant: merchantPurchaseDescription: Merchant Purchase Description paymentMethodType: ach: accountNumber: '1111111111111111' financialInstitutionRoutingNumber: '123456789' accountType: CHECKING accountHolder: firstName: JANE lastName: SMITH GooglePay Auth And Capture: value: captureMethod: NOW amount: 10000 currency: USD statementDescriptor: Statement Descriptor merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' softMerchant: merchantPurchaseDescription: Merchant Purchase Description paymentMethodType: googlepay: latLong: 1,1 encryptedPaymentBundle: encryptedPayload: '{"encryptedMessage":"6gBXPtw3Oy7wBRv72MXlmjIHFwLC2FdafLaeekiySZljbnudn/6xJLJulh+Gkk6WegNYaB0Iqti8x4/nX5344SyT6UfWrd1tU8jIwjAP5e+La6LWkD296DZ1pIsKDuh0jRbNAp6PaqpByjsgjDFnNBaFdEcv9InH73OPPQU6AxGMAspoZ2du3LOtu4y1WsP5BqZsA24TPp/+lGauK1r+61AuTh88PbT6l6YKCLQGtNN0Ug2UzPodsKbRM8DiTtUW3TaIpQjHd7or5p3EAhLi8TZETZDC6J+lgeI4dQRlsvxOPdOFPf+fK7IdCyGQpLqjf9jBf69QPkVh5+6XXEJfVjjUY4TX2KVU2+42a5sLjQy9rzU1oXUa+IAi6pTziBi4RdIlFFRGFOKlLNRIfZw8+mulejDxHt93r1GPTooBjeLrXD6GW8gN2n4IXgnEZAyu7w\u003d\u003d","ephemeralPublicKey":"BCN6XUyxRN252w17DvzQMH0rWzwt18gAqJE7+1byl7Tz3rpzdPOVfJWRU3sKgJNAXicMcvcV4g67YCJEng52DuY\u003d","tag":"NnB9WQib+A1lakfPJMcQzBbh2+z5kL/UBCKxevQYTjs\u003d"}' encryptedPaymentHeader: ephemeralPublicKey: BCN6XUyxRN252w17DvzQMH0rWzwt18gAqJE7+1byl7Tz3rpzdPOVfJWRU3sKgJNAXicMcvcV4g67YCJEng52DuY\u003d signature: MEYCIQDu7OB2NaHmlSCk2nqYWY6hoiCvmquK82g763VkfaybrAIhANgJSN4MMtfbMMvZKKVGzuPCCN4zVXk6ejioe87+oWaR protocolVersion: ECv1 ApplePay Auth And Capture: value: captureMethod: NOW amount: 10000 currency: USD statementDescriptor: Statement Descriptor merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' softMerchant: merchantPurchaseDescription: Merchant Purchase Description paymentMethodType: applepay: latLong: 1,1 encryptedPaymentBundle: encryptedPayload: MWRE1bbBoR9a6vXaoLXEkNCKskqNgzPaNlfB00fWOqs+LS8BsJhyvod0koenorWEQCRv41oViq70dvx7ilArOhvlCTRR1RdQyIlksZKuRF0IzyCqdA7bXALnBq/8SQQFBKM+TEmP9UEwD21l5RzKZcZMw3xidKoRjyVZiyauG4Oaea91dycFZ4EAg2st//rEj6fN+do4BAhl+Wqcg7BkiWIe30Jze2jJKrRCJxC5prRQ6Gh8C9rqeoVVCeqxIZf8p/WTKsVr1qWZ28/EviP6+VBwR7OcZyAp4er8jfYf3oQcuN/N8119d2JSwzAmGyXrmw== encryptedPaymentHeader: ephemeralPublicKey: MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAExuTcV20bPh6FjIig0rwvPfyAWoYVuu+GL3E9KyFFVBQe0FoXN8gH8r/ae57prtjA0SIFXE8gY8pzsSLgPs8A9w== publicKeyHash: 7LPgkHSCBXf/xq4zv59spY9j35fqgkfz7AcUYsASyS4= walletTransactionId: 27ed51c15512070be3058fb6070c2e63ddd69ca2e75b3187e2af6faf92ba2901 walletApplicationData: 27ed51c15512070be3058fb6070c2e63ddd69ca2e75b3187e2af6faf92ba2901 signature: MIAGCSqGSIb3DQEHAqCAMIACAQExDTALBglghkgBZQMEAgEwgAYJKoZIhvcNAQcBAACggDCCAWIwggEIoAMCAQICBgFdZTj7ATAKBggqhkjOPQQDAzA4MSEwHwYDVQQDDBhQYXltZW50ZWNoIE1vYmlsZSBTREsgQ0ExEzARBgNVBAoMClBheW1lbnRlY2gwHhcNMTcwNzIxMTI1NjU5WhcNMzQwNzIxMTI1NjU5WjA4MSEwHwYDVQQDDBhQYXltZW50ZWNoIE1vYmlsZSBTREsgQ0ExEzARBgNVBAoMClBheW1lbnRlY2gwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAARCrlzB/UN22ZXpHk7iJqI8T7h0J8QOIyCohcBd8Dh+p0GPeGrDpiyy8LNyQ/bb9jNj+6aVJfeta9eWsOPBp69lMAoGCCqGSM49BAMDA0gAMEUCIQCL3CzFvN8IHbx9DIYtWSWvdwleW2OkbuRimP9LzW9ReAIgTuGzzqlu2EfBpSesfNt78fgAE04OYKHGBq4/Larj540AADGCAUIwggE+AgEBMEIwODEhMB8GA1UEAwwYUGF5bWVudGVjaCBNb2JpbGUgU0RLIENBMRMwEQYDVQQKDApQYXltZW50ZWNoAgYBXWU4+wEwCwYJYIZIAWUDBAIBoIGTMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8XDTI0MDMxOTE1MjgwN1owKAYJKoZIhvcNAQk0MRswGTALBglghkgBZQMEAgGhCgYIKoZIzj0EAwIwLwYJKoZIhvcNAQkEMSIEILIY0263HyS7qPTL7X+hEaFAiE4ypmDpvmvO3DCRKqOOMAoGCCqGSM49BAMCBEYwRAIgFPRiS/H7PHJLT8kdfNUGnUL5YFSmj9MlTwmwV+X5t+ECIDBVTShzAoUaN5O3YBdNxXrQkFjhKx7qm5FXYsfZZ5xAAAAAAAAA protocolVersion: EC_v1 Approve With Page encryption: value: captureMethod: NOW amount: 1234 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentMethodType: card: accountNumberType: SAFETECH_PAGE_ENCRYPTION accountNumber: 401200biVPmDPKh0026 cvv: '517' encryptionIntegrityCheck: c8a96cd789c86fcd expiry: month: 5 year: 2040 isBillPayment: true initiatorType: CARDHOLDER accountOnFile: NOT_STORED isAmountFinal: true CB Approve With Non-3DS: value: captureMethod: NOW amount: 5000 currency: EUR merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentMethodType: card: accountNumber: '5341027900000001' cvv: '123' encryptionIntegrityCheck: c8a96cd789c86fcd authentication: walletAuthenticationMethod: test-wlt-auth-method expiry: month: 5 year: 2026 isBillPayment: true merchantOrderNumber: '123456789012' dynamicCVV2Timestamp: '2024-03-12T01:23:45.567Z' accountHolder: referenceId: ABC1234567891234567 initiatorType: CARDHOLDER accountOnFile: NOT_STORED isAmountFinal: true CB Approve With 3DS: value: captureMethod: NOW amount: 5000 currency: EUR merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentMethodType: card: accountNumber: '4561953200000001' cvv: '123' encryptionIntegrityCheck: c8a96cd789c86fcd authentication: electronicCommerceIndicator: '05' threeDS: version2: threeDSTransactionStatus: 'Y' authenticationValue: Qm181okmdyqh6yQmYuq1890QAAA= issuerAssignedAuthenticationFraudScore: '05' authenticationValueCalculationMethod: '0' threeDSChallengeType: NO_CHALLENGE threeDomainSecureAuthenticationMethodCode: FRICTIONLESS threeDSProgramProtocol: 2.2.0 authenticationTransactionId: 91c992cb-5dfe-4b35-ade0-ae16c1c538ff expiry: month: 12 year: 2030 isBillPayment: true merchantOrderNumber: '12345678901' dynamicCVV2Timestamp: '2024-03-12T01:23:45.567Z' accountHolder: referenceId: ABC1234567891234567 initiatorType: CARDHOLDER accountOnFile: NOT_STORED isAmountFinal: true Approve First Recurring: value: captureMethod: NOW amount: 5000 currency: EUR merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' recurring: recurringSequence: FIRST recurringNumber: '1' paymentMethodType: card: accountNumber: '5498580000000009' cvv: '517' encryptionIntegrityCheck: c8a96cd789c86fcd expiry: month: 5 year: 2025 isBillPayment: true authentication: walletAuthenticationMethod: test-wlt-auth-method preferredPaymentNetworkRoutingCode: CB preferredRoutingInitiatorCode: CONSUMER merchantOrderNumber: '12345678901' dynamicCVV2Timestamp: '2024-03-12T01:23:45.567Z' accountHolder: referenceId: ABC1234567891234567 initiatorType: CARDHOLDER accountOnFile: STORED isAmountFinal: true Approve Subsequent Recurring: value: captureMethod: NOW amount: 5000 currency: EUR merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' recurring: recurringSequence: SUBSEQUENT recurringNumber: '2' paymentMethodType: card: originalNetworkTransactionId: '1000000000045908363' accountNumber: '5498580000000009' cvv: '123' encryptionIntegrityCheck: c8a96cd789c86fcd expiry: month: 5 year: 2025 isBillPayment: true authentication: walletAuthenticationMethod: test-wlt-auth-method initialThreeDSAuthenticationResults: initialThreeDSProgramProtocol: 2.1.1 initialThreeDSAuthenticationTimestamp: '2025-06-05T07:07:17.813Z' initialThreeDSAuthenticationAmount: 2000 initialThreeDSAuthenticationTransactionId: de89af19-9893-465d-806f-ff1eb2a6b4c7 initialThreeDSAuthenticationMethodCode: FRICTIONLESS initialThreeDSChallengeType: NO_CHALLENGE initialIssuerAssignedAuthenticationFraudScore: '05' preferredPaymentNetworkRoutingCode: CB preferredRoutingInitiatorCode: MERCHANT merchantOrderNumber: '12345678901' dynamicCVV2Timestamp: '2024-03-12T01:23:45.567Z' accountHolder: referenceId: ABC1234567891234567 initiatorType: MERCHANT accountOnFile: STORED isAmountFinal: true Pinless Maestro: value: captureMethod: MANUAL amount: 10000 currency: USD initiatorType: CARDHOLDER statementDescriptor: star-merchant merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumber: '5033961989909166' expiry: month: 12 year: 2027 cvv: '411' isBillPayment: false merchantPreferredRouting: PINLESS merchantSalesChannelName: INTERNET preferredPaymentNetworkNameList: - MAESTRO_PINLESS accountHolder: referenceId: ABC123GHI9807654 Klarna With Interoperability Token: value: captureMethod: NOW amount: 100 currency: USD merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' initiatorType: MERCHANT accountOnFile: NOT_STORED isAmountFinal: true paymentMethodType: klarna: preferredLanguage: en_US redirectedPayment: merchantReturnUrl: https://merchantreturnurl.com merchantOrderNumber: 5450378-030124055633 accountHolder: billingAddress: line1: 123 example street line2: Apartment 3b city: Swansea state: MA postalCode: '33626' firstName: Nadia lastName: Nadja fullName: Nadia Nadja countryOfNationality: US email: abc.abc@chase.com shipTo: shippingAddress: line1: 123 example street line2: Apartment 3b city: Swansea state: MA postalCode: '33626' firstName: Nadia lastName: Nadja fullName: Nadia Nadja shippingDescription: TC shippingCarrierName: DHL retailAddenda: level3: lineItems: - lineItemDescriptionText: lineItemDescription unitPriceAmount: 9000 lineItemUnitQuantity: '1' taxInclusiveLineItemTotalAmount: 9000 taxAmount: 100 isTaxable: true paymentMetadataList: - metadataAttribute: Interoperability-Token metadataAttributeValue: eyadnl565465454kfjkldsj responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' examples: Approved Auth Basic: value: transactionId: cdf62f90-6440-496f-817c-c05dd3b7b01a requestId: 10cc0270-7bed-11e9-a188-1763956dd7f6 transactionState: CLOSED responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer paymentMethodType: card: expiry: month: 5 year: 2027 cardType: VI cardTypeName: VISA isBillPayment: true maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED addressVerificationResultCode: '' cardVerificationResultCode: '' captureMethod: NOW isCapture: true initiatorType: CARDHOLDER accountOnFile: NOT_STORED transactionDate: '2022-05-04T16:04:27.027Z' approvalCode: tst269 hostMessage: Approved amount: 1234 currency: USD remainingRefundableAmount: 1234 remainingAuthAmount: 1234 hostReferenceId: NjKmDGcGYAJ6wsedRnMCj4 merchant: merchantId: '998482157630' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' Approved Auth CIT Onetime Stored: value: transactionId: c9d21e9e-9263-4c6e-a6b7-ef60cbceeb49 requestId: 11cc0270-7bed-11e9-a188-1763956dd7f6 transactionState: AUTHORIZED responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer paymentMethodType: card: expiry: month: 10 year: 2040 cardType: VI cardTypeName: VISA maskedAccountNumber: 401200XXXXXX0026 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED addressVerificationResultCode: '' cardVerificationResultCode: M networkTransactionId: '012125692162451' isCapture: true captureMethod: NOW initiatorType: CARDHOLDER accountOnFile: TO_BE_STORED transactionDate: '2022-05-04T20:04:25.025Z' approvalCode: tst904 hostMessage: Approved amount: 10000 currency: USD remainingRefundableAmount: 1500 hostReferenceId: sGD8MSXuJan0ytfXIJAP57 merchant: merchantId: '998482157631' merchantSoftware: companyName: Payment Company productName: Application Name merchantCategoryCode: '4899' accountHolder: referenceId: '1245' IPAddress: 104.18.127.1 Approved Auth MIT Subsequent Stored: value: transactionId: d461bd0c-2f6d-4b85-9ce7-552651d0edea requestId: 12cc0270-7bed-11e9-a188-1763956dd7f6 transactionState: AUTHORIZED responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer paymentMethodType: card: expiry: month: 4 year: 2025 cardType: VI cardTypeName: VISA maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED addressVerificationResultCode: '' cardVerificationResultCode: M initiatorType: MERCHANT accountOnFile: STORED transactionDate: '2022-05-04T20:04:25.025Z' approvalCode: tst982 hostMessage: Approved amount: 10000 currency: USD hostReferenceId: G0i19bLbf0L02Z9g1GiEz4 merchant: merchantSoftware: companyName: Payment Company productName: Application Name recurring: recurringSequence: FIRST agreementId: '1235' paymentAgreementExpiryDate: '2040-10-30' shipTo: shippingDescription: Personal Item shipping to my home '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' get: summary: Get a specific payment transaction by request Id operationId: V2PaymentGet tags: - Transactions description: Request Original Authorization Transaction details parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Basic Auth: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 Success Authentication: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 11cc0270-7bed-11e9-a188-1763956dd7f6 - name: requestIdentifier in: query required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: The request identifier for the previous attempted transaction to query by. examples: Success Basic Auth: value: 14cc0270-7bed-11e9-a188-1763956dd7f6 Success Authentication: value: 16cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 15cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Basic Auth: value: '998482157632' Success Authentication: value: '998482157630' Error: value: '991234567890' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /payments/{id}: patch: summary: Update payment transaction by transaction Id operationId: V2PaymentPatch tags: - Transactions description: Update an existing payment 1.Capture a payment for settlement. 2. Void a payment and authorization. The transaction will not settle. 3. Update a payment. parameters: - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the transaction examples: Success Void: value: 66666666-7bea-11e9-a188-1763956dd7f6 Error: value: 22222222-7bea-11e9-a188-1763956dd7f6 - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Void: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 22cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Void: value: '998482157632' Error: value: '998482157630' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: The payment update request. required: true content: application/json: schema: $ref: '#/components/schemas/paymentPatch' examples: Success Void: value: isVoid: true Error: value: captureMethod: NOW responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' get: summary: Get a specific payment transaction by transaction Id operationId: V2PaymentByIdGet tags: - Transactions description: Get a specific payment transaction by transaction Id parameters: - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '998482157632' Error: value: '998482157630' - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the transaction examples: Success: value: 66666666-7bea-11e9-a188-1763956dd7f6 Error: value: 22222222-7bea-11e9-a188-1763956dd7f6 - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /payments/{id}/captures: post: summary: Capture a payment operationId: V2CapturePost tags: - Transactions description: Capture a payment request for existing authorized transaction parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success First Capture: value: 252f0171-9512-4f54-94e5-5c046dc55eab Success Final Capture: value: f9c75448-0764-4eee-b67f-d6e9d2fb167f - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success First Capture: value: '000017904371' Success Final Capture: value: '000017904372' - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifies a unique occurrence of a transaction. examples: Success First Capture: value: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a Success Final Capture: value: 22b88670-272d-4d69-a011-b728b7b45991 - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: Capture Request required: true content: application/json: schema: $ref: '#/components/schemas/captureRequest' examples: Success First Capture: value: amount: 100 currency: USD multiCapture: multiCaptureSequenceNumber: '1' multiCaptureRecordCount: 2 isFinalCapture: false Success Final Capture: value: amount: 100 currency: USD multiCapture: multiCaptureSequenceNumber: '2' multiCaptureRecordCount: 2 isFinalCapture: true responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' examples: Success First Capture: value: transactionId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a requestId: 252f0171-9512-4f54-94e5-5c046dc55eab transactionState: CLOSED responseStatus: SUCCESS responseCode: ACCEPTED responseMessage: Transaction accepted paymentMethodType: card: cardType: VI isBillPayment: true maskedAccountNumber: 401200XXXXXX0026 networkResponse: cardVerificationResult: MATCH networkTransactionId: '013094692162180' paymentAccountReference: Q1J4Z28RKA1EBL470G9XYG90R5D3E captureMethod: NOW initiatorType: MERCHANT transactionDate: '2023-04-04T21:04:33.764Z' isAmountFinal: true amount: 100 currency: USD remainingRefundableAmount: 100 remainingAuthAmount: 1134 hostReferenceId: aTWjsNr8fCy2ZjS6LdpEm merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentRequest: paymentRequestId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a paymentRequestStatus: OPEN authorizations: - authorizationId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 1234 transactionStatusCode: AUTHORIZED authorizationType: INITIAL captures: - captureId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 Success Final Capture: value: transactionId: 22b88670-272d-4d69-a011-b728b7b45991 requestId: f9c75448-0764-4eee-b67f-d6e9d2fb167f transactionState: CLOSED responseCode: ACCEPTED responseStatus: SUCCESS responseMessage: Transaction accepted paymentMethodType: card: cardType: VI isBillPayment: true maskedAccountNumber: 401200XXXXXX0026 networkResponse: cardVerificationResult: MATCH networkTransactionId: '013094692162180' paymentAccountReference: Q1J4Z28RKA1EBL470G9XYG90R5D3E captureMethod: NOW initiatorType: MERCHANT transactionDate: '2023-04-04T21:04:33.764Z' isAmountFinal: true amount: 100 currency: USD remainingRefundableAmount: 100 remainingAuthAmount: 1034 hostReferenceId: aTWjsNr8fCy2ZjS6LdpEm merchant: merchantId: '000017904372' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentRequest: paymentRequestId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a paymentRequestStatus: CLOSED authorizations: - authorizationId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 1234 transactionStatusCode: AUTHORIZED authorizationType: INITIAL captures: - captureId: 22b88670-272d-4d69-a011-b728b7b45991 amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 - captureId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /captures/{id}: get: summary: Retrieve Payment Details by transaction Id operationId: V2CaptureByIdGet tags: - Transactions description: Request capture details for a specific capture request by captureId parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Final Capture: value: f9c65662-0764-4eee-b67f-d6e9d2fb167f - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Final Capture: value: '000017904371' - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifies a unique occurrence of a transaction. examples: Success Final Capture: value: 22b88670-272d-4d69-a011-b728b7b45991 - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' examples: Success Final Capture: value: transactionId: 22b88670-272d-4d69-a011-b728b7b45991 requestId: f9c65662-0764-4eee-b67f-d6e9d2fb167f transactionState: CLOSED responseCode: ACCEPTED responseStatus: SUCCESS responseMessage: Transaction accepted paymentMethodType: card: cardType: VI isBillPayment: true maskedAccountNumber: 401200XXXXXX0026 networkResponse: cardVerificationResult: MATCH networkTransactionId: '013094692162180' paymentAccountReference: Q1J4Z28RKA1EBL470G9XYG90R5D3E captureMethod: NOW initiatorType: MERCHANT transactionDate: '2023-04-04T21:04:33.764Z' isAmountFinal: true amount: 100 currency: USD remainingRefundableAmount: 100 remainingAuthAmount: 1034 hostReferenceId: aTWjsNr8fCy2ZjS6LdpEm merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentRequest: paymentRequestId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a paymentRequestStatus: CLOSED authorizations: - authorizationId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 1234 transactionStatusCode: AUTHORIZED authorizationType: INITIAL captures: - captureId: 22b88670-272d-4d69-a011-b728b7b45991 amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 - captureId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /captures: get: summary: Retrieve Payment Details operationId: V2CaptureGet tags: - Transactions description: Request capture details for a specific capture request parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Final Capture: value: f9c65662-0764-4eee-b67f-d6e9d2fb167f - name: requestIdentifier in: query required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Final Capture: value: f9c75448-0764-4eee-b67f-d6e9d2fb167f - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Final Capture: value: '000017904371' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/paymentResponse' examples: Success Final Capture: value: transactionId: 22b88670-272d-4d69-a011-b728b7b45991 requestId: f9c75448-0764-4eee-b67f-d6e9d2fb167f transactionState: CLOSED responseCode: ACCEPTED responseStatus: SUCCESS responseMessage: Transaction accepted paymentMethodType: card: cardType: VI isBillPayment: true maskedAccountNumber: 401200XXXXXX0026 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: cardVerificationResult: MATCH networkTransactionId: '013094692162180' paymentAccountReference: Q1J4Z28RKA1EBL470G9XYG90R5D3E paymentTokens: - tokenProvider: SAFETECH responseStatus: ERROR tokenServiceResponseMessage: Merchant record not found or not enabled for Acquirer Token tokenServiceResponseCode: BAD_REQUEST captureMethod: NOW initiatorType: CARDHOLDER accountOnFile: NOT_STORED transactionDate: '2023-04-04T21:04:33.764Z' isAmountFinal: true amount: 100 currency: USD remainingRefundableAmount: 100 remainingAuthAmount: 1034 hostReferenceId: aTWjsNr8fCy2ZjS6LdpEm merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' merchantCategoryCode: '4899' paymentRequest: paymentRequestId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a paymentRequestStatus: CLOSED authorizations: - authorizationId: e9468a04-7ad5-47ad-b2a8-cd3d76be0f6a amount: 1234 transactionStatusCode: AUTHORIZED authorizationType: INITIAL captures: - captureId: 22b88670-272d-4d69-a011-b728b7b45991 amount: 100 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 100 '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /refunds: post: summary: Create a refund operationId: V2RefundPost tags: - Transactions description: Creates a refund request and returns funds to the consumer. 1. For refund associated with a previous payment, send transactionReferenceId. 2. For standalone refunds, send order and payment objects. parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Stand Alone Refund: value: 4c459160-635e-4b12-b111-6dfd4ca6c951 Referenced Refund: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '000017904371' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Stand Alone Refund: value: '000017904371' Referenced Refund: value: '000017904372' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: The refund request. required: true content: application/json: schema: $ref: '#/components/schemas/refund' examples: Stand Alone Refund: value: merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' amount: 1234 currency: USD initiatorType: CARDHOLDER accountOnFile: NOT_STORED paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 4 year: 2025 Referenced Refund: value: merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' amount: 1234 currency: USD initiatorType: CARDHOLDER accountOnFile: STORED paymentMethodType: transactionReference: transactionReferenceId: 669b0915-af58-42b9-8815-ad375a658adb responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/refundResponse' examples: Stand Alone Refund: value: transactionId: 9af6cc71-7b5f-47db-b90c-353ba46693fa requestId: 4c459160-635e-4b12-b111-6dfd4ca6c951 transactionState: AUTHORIZED amount: 1234 currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer approvalCode: tst217 hostMessage: Approved initiatorType: MERCHANT accountOnFile: NOT_STORED transactionDate: '2023-08-15T21:32:30.059Z' merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: cardTypeName: VISA cardType: VI maskedAccountNumber: 401200XXXXXX0026 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED hostReferenceId: wIFalgah4FkjKaomCCEk82 paymentRequest: paymentRequestId: 9af6cc71-7b5f-47db-b90c-353ba46693fa paymentRequestStatus: CLOSED refunds: - refundId: 9af6cc71-7b5f-47db-b90c-353ba46693fa amount: 1234 transactionStatusCode: CLOSED Referenced Refund: value: transactionId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 requestId: a3c93558-9671-497e-9046-74e902823ed8 transactionState: AUTHORIZED amount: 1234 currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer transactionReferenceId: 669b0915-af58-42b9-8815-ad375a658adb remainingRefundableAmount: 0 approvalCode: tst905 hostMessage: Approved initiatorType: CARDHOLDER accountOnFile: STORED transactionDate: '2023-08-16T16:22:50.485Z' merchant: merchantId: '000017904372' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: cardTypeName: VISA cardType: VI maskedAccountNumber: 401200XXXXXX0026 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED hostReferenceId: 8GvObatjEv5lVYBQ3xNbm6 paymentRequest: paymentRequestId: 669b0915-af58-42b9-8815-ad375a658adb paymentRequestStatus: CLOSED authorizations: - authorizationId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CAPTURED authorizationType: INITIAL captures: - captureId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 0 refunds: - refundId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 amount: 1234 transactionStatusCode: CLOSED '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' get: summary: Get a specific refund transaction by request Id operationId: V2RefundGet tags: - Transactions description: Get a specific refund transaction by request Id. parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success: value: a3c93558-9671-497e-9046-74e902823ed8 - name: requestIdentifier in: query required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: The request identifier for the previous attempted transaction to query by. examples: Success: value: ae05aa5a-706b-4b7e-861f-dfddfc196a28 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '000017904371' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/refundResponse' examples: Success: value: transactionId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 requestId: a3c93558-9671-497e-9046-74e902823ed8 transactionState: CLOSED amount: 1234 currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer transactionReferenceId: 669b0915-af58-42b9-8815-ad375a658adb remainingRefundableAmount: 0 approvalCode: tst905 hostMessage: Approved initiatorType: CARDHOLDER accountOnFile: NOT_STORED transactionDate: '2023-08-16T16:22:50.485Z' merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: cardTypeName: VISA cardType: VI maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED isBillPayment: true hostReferenceId: 8GvObatjEv5lVYBQ3xNbm6 paymentRequest: paymentRequestId: 669b0915-af58-42b9-8815-ad375a658adb paymentRequestStatus: CLOSED authorizations: - authorizationId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CAPTURED authorizationType: INITIAL captures: - captureId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 0 refunds: - refundId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 amount: 1234 transactionStatusCode: CLOSED '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /refunds/{id}: get: summary: Get a specific refund transaction by transaction Id operationId: V2RefundByIdGet tags: - Transactions description: Get a specific refund transaction by transaction Id parameters: - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '000017904371' - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the transaction examples: Success: value: 66666666-7bea-11e9-a188-1763956dd7f6 - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/refundResponse' examples: Success: value: transactionId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 requestId: a3c93558-9671-497e-9046-74e902823ed8 transactionState: CLOSED amount: 1234 currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer transactionReferenceId: 669b0915-af58-42b9-8815-ad375a658adb remainingRefundableAmount: 0 approvalCode: tst905 hostMessage: Approved initiatorType: CARDHOLDER accountOnFile: NOT_STORED transactionDate: '2023-08-16T16:22:50.485Z' merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: cardTypeName: VISA cardType: VI maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: USA isDurbinRegulated: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED isBillPayment: true hostReferenceId: 8GvObatjEv5lVYBQ3xNbm6 paymentRequest: paymentRequestId: 669b0915-af58-42b9-8815-ad375a658adb paymentRequestStatus: CLOSED authorizations: - authorizationId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CAPTURED authorizationType: INITIAL captures: - captureId: 669b0915-af58-42b9-8815-ad375a658adb amount: 1234 transactionStatusCode: CLOSED captureRemainingRefundableAmount: 0 refunds: - refundId: ae05aa5a-706b-4b7e-861f-dfddfc196a28 amount: 1234 transactionStatusCode: CLOSED '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /verifications: post: summary: Verify a payment instrument operationId: V2VerificationPost tags: - Transactions description: Validate a payment instrument with cardholder information without placing a funds hold on the consumer account (Not supported by all payment methods) parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Basic Verification AVS: value: bf51d288-1d1c-4772-89e1-13289435077a Basic Verification CVV: value: 3af75aad-111b-4830-abfa-9d657ee79883 Verification with authentication: value: 4af75aad-111b-4830-abfa-9d657ee79883 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Basic Verification AVS: value: '000017904371' Basic Verification CVV: value: '000017904372' Verification with authentication: value: '000017904373' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: The verification request. required: true content: application/json: schema: $ref: '#/components/schemas/verification' examples: Basic Verification AVS: value: merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' currency: USD paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 5 year: 2027 initiatorType: CARDHOLDER accountOnFile: NOT_STORED accountHolder: billingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' Basic Verification CVV: value: merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' currency: USD paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 5 year: 2027 cvv: '411' initiatorType: CARDHOLDER accountOnFile: STORED Verification with authentication: value: currency: EUR initiatorType: CARDHOLDER merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' paymentMethodType: card: accountNumber: '4012000033330026' expiry: month: 5 year: 2037 verificationAuthenticationRequest: accountType: CREDIT authenticationReturnUrl: https://merchantreturnurl.com authenticationSupportUrl: https://merchantsupporturl.com threeDSAccountAdditionalInfo: consumerAccountCreateLength: NO_ACCOUNT consumerAccountCreateTimestamp: '2023-08-10' consumerAccountUpdateLength: CURRENT_TXN consumerAccountUpdateTimestamp: '2023-06-05' consumerAccountPasswordUpdateTimestamp: '2023-06-05' consumerAccountPasswordChangeLength: NO_CHANGE consumerAccountShippingAddressLength: CURRENT_TXN_CHANGE consumerAccountFirstShippingDate: '2023-06-05' twentyFourHoursTransactionCount: 1 previousYearTransactionCount: 2 consumerAccount24HoursAddCardCount: 3 sixMonthTransactionCount: 2 consumerAccountSuspiciousActivityIndicator: false consumerAccountShipNameIdenticalIndicator: true consumerPaymentAccountLength: NO_ACCOUNT consumerPaymentAccountEnrollmentDate: '2023-06-05' consumerAccountAddressIdenticalIndicator: true threeDSRequestorPriorAuthenticationInfo: authenticationMethod: FRICTIONLESS authenticationTimestamp: '2023-08-21T15:12:12Z' threeDSPurchaseRisk: shipmentType: DIGITAL_GOODS deliveryTimeframe: ELECTRONIC orderEmailAddress: john.doe@gmail.com productRepurchaseIndicator: true productAvailabilityCode: AVAILABLE preOrderDate: '2023-06-05' purchasedPrepaidCardTotalAmount: 10 purchasedPrepaidCardCount: 2 prepaidCardCurrency: USD threeDSPurchaseInfo: purchaseDate: '2023-08-25T15:12:12Z' recurringAuthorizationDayCount: 2 threeDomainSecureTransactionType: GOODS_SERVICES threeDSRequestorAuthenticationInfo: threeDSAuthenticationTimestamp: '2023-08-25T15:12:12Z' threeDSAuthenticationData: testdata threeDSChallengeType: NO_CHALLENGE requestorAuthenticationMethod: REQUESTOR_CRED authenticationPurpose: PAYMENT_TRANSACTION accountHolder: referenceId: '1245' consumerIdCreationDate: '2021-09-01' firstName: John lastName: Doe email: John.Doe@gmail.com phone: countryCode: 1 phoneNumber: '8131112222' billingAddress: line1: 123 main street line2: Apartment 2 city: SALEM state: NH postalCode: '03105' countryCode: USA browserInfo: browserAcceptHeader: application/json deviceIPAddress: 192.168.192.12 browserLanguage: en browserColorDepth: '8' browserScreenHeight: '1' browserScreenWidth: '1' browserUserAgent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0 challengeWindowSize: FULL_SCREEN javaEnabled: false javaScriptEnabled: true responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/verificationResponse' examples: Basic Verification AVS: value: transactionId: 7c7d2a47-0d36-41ed-bf12-7a5388d4edd6 requestId: bf51d288-1d1c-4772-89e1-13289435077a currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction approved by Issuer hostMessage: APPROVED paymentMethodType: card: cardType: VI cardTypeName: VISA maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: GBR isLevel3Eligible: false isDurbinRegulated: false cardProductTypes: - SIGNATURE_DEBIT networkResponse: addressVerificationResultCode: 'N' cardVerificationResult: MATCH cardVerificationResultCode: I3 networkTransactionId: '012166692165035' merchant: merchantId: '000017904371' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' transactionDate: '2023-08-15T16:56:59.953Z' initiatorType: CARDHOLDER accountOnFile: NOT_STORED hostReferenceId: sMArPWHajtkfdLufWEAyx5 Basic Verification CVV: value: transactionId: 902a2fd3-3e3f-4302-a8e0-c3c52bf49087 requestId: 3af75aad-111b-4830-abfa-9d657ee79883 currency: USD responseStatus: SUCCESS responseCode: APPROVED responseMessage: Transaction accepted hostMessage: Validated paymentMethodType: card: cardType: VI cardTypeName: VISA maskedAccountNumber: 411234XXXXXX4113 cardTypeIndicators: issuanceCountryCode: USA isLevel3Eligible: false cardProductTypes: - COMMERCIAL - PINLESS_DEBIT networkResponse: addressVerificationResult: NOT_REQUESTED cardVerificationResult: NO_MATCH cardVerificationResultCode: 'N' networkTransactionId: '013228692161399' merchant: merchantId: '000017904372' merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' transactionDate: '2023-07-06T15:25:58.061Z' initiatorType: CARDHOLDER accountOnFile: STORED hostReferenceId: 7QCZEidM5ACqwPJsixl675 '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' get: summary: Get a specific verification transaction by request Id operationId: V2VerificationGet tags: - Transactions description: Get a specific verification transaction by request Id. parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Basic Verification: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 Success Authentication: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 11cc0270-7bed-11e9-a188-1763956dd7f6 - name: requestIdentifier in: query required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: The request identifier for the previous attempted transaction to query by. examples: Success Basic Verification: value: 14cc0270-7bed-11e9-a188-1763956dd7f6 Success Authentication: value: 16cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 15cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Basic Verification: value: '998482157632' Success Authentication: value: '998482157631' Error: value: '998482157630' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/verificationResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /verifications/{id}: get: summary: Get a specific verification transaction by transaction Id operationId: V2VerificationByIdGet tags: - Transactions description: Get a specific verification transaction by transaction Id. parameters: - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the transaction examples: Success: value: 66666666-7bea-11e9-a188-1763956dd7f6 Error: value: 44444444-7bea-11e9-a188-1763956dd7f6 - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '998482157632' Error: value: '998482157630' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/verificationResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /fraudcheck: post: summary: Fraud check operationId: V2FraudCheckPost tags: - Fraud description: Validate a payment instrument with cardholder information without placing a funds hold on the consumer account (Not supported by all payment methods) parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success Fraud Check: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 Fraud Check with PAGE Encryption: value: 11cc0270-7bed-11e9-a188-1763956dd7f6 Fraud Check with Token: value: 12cc0380-8bed-11e9-a189-2873956dd7f7 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success Fraud Check: value: '998482157632' Fraud Check with PAGE Encryption: value: '998482157633' Fraud Check with Token: value: '998482157634' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request requestBody: description: The fraud check request. required: true content: application/json: schema: $ref: '#/components/schemas/fraudCheckRequest' examples: Success Fraud Check: value: amount: 10000 currency: USD fraudScore: cardholderBrowserInformation: cardholderBrowserInformation isFraudRuleReturn: true sessionId: d38e582e-27e1-4748-811b-79281f3bb714 fencibleItemAmount: 1230 aNITelephoneNumber: '5131234567' accountHolder: deviceIPAddress: 127.0.0.1 driverLicenseNumber: T000-000-0000 email: john.dow@abc.com firstName: John lastName: Doe referenceId: '12122012' consumerIdCreationDate: '2021-09-01' phone: countryCode: 1 phoneNumber: '6035551234' billingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' paymentMethodType: card: expiry: month: 5 year: 2024 accountNumber: '4012000033330026' shipTo: shippingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' shippingDescription: C merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' Fraud Check with PAGE Encryption: value: amount: 10000 currency: USD fraudScore: cardholderBrowserInformation: cardholderBrowserInformation isFraudRuleReturn: true sessionId: d38e582e-27e1-4748-811b-79281f3bb714 fencibleItemAmount: 1230 aNITelephoneNumber: '5131234567' accountHolder: deviceIPAddress: 127.0.0.1 driverLicenseNumber: T000-000-0000 email: john.dow@abc.com firstName: John lastName: Doe referenceId: '12122012' consumerIdCreationDate: '2021-09-01' phone: countryCode: 1 phoneNumber: '6035551234' billingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' paymentMethodType: card: accountNumberType: SAFETECH_PAGE_ENCRYPTION accountNumber: 401200cpGlDovRz0026 cvv: '517' encryptionIntegrityCheck: 80df99ee3467e264 expiry: month: 5 year: 2024 shipTo: shippingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' shippingDescription: C merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' Fraud Check with Token: value: amount: 10000 currency: USD fraudScore: cardholderBrowserInformation: cardholderBrowserInformation isFraudRuleReturn: true sessionId: d38e582e-27e1-4748-811b-79281f3bb714 fencibleItemAmount: 1230 aNITelephoneNumber: '5131234567' accountHolder: deviceIPAddress: 127.0.0.1 driverLicenseNumber: T000-000-0000 email: john.dow@abc.com firstName: John lastName: Doe referenceId: '12122012' consumerIdCreationDate: '2021-09-01' phone: countryCode: 1 phoneNumber: '6035551234' billingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' paymentMethodType: card: accountNumberType: SAFETECH_TOKEN accountNumber: '4112340803104113' expiry: month: 5 year: 2024 shipTo: shippingAddress: line1: 123 some street line2: Apartment 3b city: Tampa state: FL postalCode: '33626' shippingDescription: C merchant: merchantSoftware: companyName: Payment Company productName: Application Name version: '1.235' responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/fraudCheckResponse' examples: Success Fraud Check: value: transactionId: 91659309-b78a-4075-a18b-84f7e7a54b21 requestId: 543ba35f-70d8-4370-97dd-9e602cf41b38 riskDecision: fraudRiskScore: '34' fraudRuleAction: A digitalAlertRuleName: 0000= fraudStatus: A000 fraudStatusDescription: Fraud score successful fraudRiskResponse: A riskElement: fraudEvaluatorTransactionId: K9SD0RKS4VYV highestRiskCountry: US highestRiskRegion: mn cardType: AX fourteenDaysTransactionCount: 0 sixHoursTransactionCount: 0 fourteenDaysCardRecordCount: 1 fourteenDaysDeviceRecordCount: 1 fourteenDaysEmailRecordCount: 1 deviceLayers: BE5170F6F4..23EA1C3E4B.7D240F5823.2FB5A18D3 sessionMatchIndicator: false hashedDigitalDeviceFingerprintIdentifier: OE445516POI154F34E1A3151BCE70C19 deviceTimestamp: 2022-08-18+11:25 deviceLocalTimeZone: '300' deviceRegion: mn deviceCountry: US deviceProxyServer: false browserJavaScriptEnabled: false browserAdobeFlashEnabled: false browserCookiesEnabled: false deviceBrowserCountry: US deviceBrowserLanguage: EN mobileDevice: false digitalDeviceType: Android deviceWirelessCapability: false deviceVoiceControlled: false deviceRemotelyControlCapability: false deviceNetworkType: 'N' hostReferenceId: 5hOQTa9S8l8GqINboAbLa4 responseStatus: SUCCESS responseCode: ACCEPTED responseMessage: Transaction Accepted hostMessage: Successful Action Requested '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' get: summary: Retrieve fraud response operationId: V2FraudCheckget tags: - Fraud description: Retrieve fraud score of a payment instrument with cardholder information without placing a funds hold on the consumer account (Not supported by all payment methods) parameters: - name: request-id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. examples: Success: value: 10cc0270-7bed-11e9-a188-1763956dd7f6 Error: value: 12cc0270-7bed-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '998482157632' Error: value: '998482157630' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/fraudCheckResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /fraudcheck/{id}: get: summary: Retrieve fraud response operationId: V2FraudCheckByIdGet tags: - Fraud description: Retrieve fraud score of a payment instrument with cardholder information without placing a funds hold on the consumer account (Not supported by all payment methods) parameters: - name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the transaction examples: Success: value: 66666666-7bea-11e9-a188-1763956dd7f6 Error: value: 44444444-7bea-11e9-a188-1763956dd7f6 - name: merchant-id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Success: value: '998482157632' Error: value: '998482157630' - name: minorVersion in: header schema: type: string example: '1' description: Identifier for the minor release version - name: platform-id in: header required: false example: '909876543210' schema: type: string description: Identifies the platform used to facilitate the transaction request responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/fraudCheckResponse' '400': description: Badly formatted request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/messages' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '412': description: Precondition failed content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Unexpected error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Timeout content: application/json: schema: $ref: '#/components/schemas/messages' components: securitySchemes: BearerAuth: type: http scheme: bearer bearerFormat: JWT parameters: merchantId: name: Merchant-Id in: header required: true schema: type: string example: '991234567890' minLength: 8 maxLength: 12 description: Identifier for the merchant account examples: Approved Auth Basic: value: '998482157632' Approved Auth CIT Onetime Stored: value: '998482157632' requestId: name: Request-Id in: header required: true schema: type: string example: 10cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant identifier for the request. The value must be unique. requestIdentifier: name: requestIdentifier in: query required: true schema: type: string example: 11cc0270-7bed-11e9-a188-1763956dd7f6 maxLength: 40 description: Merchant generated identifier for request id: name: id in: path required: true schema: type: string example: 12cc0270-7bed-11e9-a188-1763956dd7f6 description: Identifier for the resource minorVersion: name: minor-version in: header schema: type: string description: This is the number applied to a minor release of an API that includes some new features and functions. platform-id: name: platform-id in: header schema: type: string description: Identifies the platform used to facilitate the transaction request schemas: accountUpdater: description: Contains response information related to account updater request type: object properties: requestAccountUpdater: $ref: '#/components/schemas/requestAccountUpdater' accountNumber: description: Updated Account Number if available from Account Updater service. type: string readOnly: true newAccountExpiry: $ref: '#/components/schemas/panExpiry' accountUpdaterResponse: description: Result of account updater request. type: string readOnly: true enum: - NEW_ACCOUNT - NEW_EXPIRY - NEW_ACCOUNT_AND_EXPIRY - CLOSED_ACCOUNT - PROVIDED_EXPIRY_NEWER - CONTACT_CARDHOLDER - MATCH_NO_UPDATE - NO_MATCH_NON_PARTICIPATING_BIN - NO_MATCH_PARTICIPATING_BIN - ISSUER_NOT_PARTICIPATING - CARDHOLDER_OPT_OUT - PORTFOLIO_CONVERSION accountUpdaterReasonCode: description: Indicates whether Account Updater service was successfully evoked or if there was an error. "SUCCESS" or "ERROR." type: string readOnly: true accountUpdaterReasonMessage: description: Long description of account updater results. e.g. "Account Update provided for account expiry " type: string readOnly: true payment: description: Request information for payment endpoint type: object required: - amount - currency - merchant - paymentMethodType properties: isCapture: $ref: '#/components/schemas/isCapture' captureMethod: $ref: '#/components/schemas/captureMethod' amount: $ref: '#/components/schemas/amount' cashBackAmount: $ref: '#/components/schemas/cashBackAmount' currency: $ref: '#/components/schemas/currency' merchant: $ref: '#/components/schemas/merchant' paymentMethodType: $ref: '#/components/schemas/paymentMethodType' initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' originalTransactionId: $ref: '#/components/schemas/originalTransactionId' isAmountFinal: $ref: '#/components/schemas/isAmountFinal' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' recurring: $ref: '#/components/schemas/recurring' installment: $ref: '#/components/schemas/installment' accountHolder: $ref: '#/components/schemas/accountHolder' shipTo: $ref: '#/components/schemas/shipTo' risk: $ref: '#/components/schemas/risk' retailAddenda: $ref: '#/components/schemas/retailAddenda' restaurantAddenda: $ref: '#/components/schemas/restaurantAddenda' statementDescriptor: $ref: '#/components/schemas/statementDescriptor' partialAuthorizationSupport: $ref: '#/components/schemas/partialAuthorizationSupport' transactionRoutingOverrideList: $ref: '#/components/schemas/transactionRoutingOverrideList' paymentMetadataList: type: array description: Payment Metadata List minItems: 0 items: $ref: '#/components/schemas/paymentMetadata' directPay: $ref: '#/components/schemas/directPay' browserInfo: $ref: '#/components/schemas/browserInfo' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' pointOfInteraction: $ref: '#/components/schemas/pointOfInteraction' merchantDefined: $ref: '#/components/schemas/merchantDefined' authorizationPurpose: $ref: '#/components/schemas/authorizationPurpose' paymentResponse: description: Response information for payment API calls type: object required: - transactionId - requestId - transactionState - responseStatus - responseCode - responseMessage - paymentMethodType properties: transactionId: $ref: '#/components/schemas/transactionId' requestId: $ref: '#/components/schemas/requestId' transactionState: $ref: '#/components/schemas/transactionState' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' paymentMethodType: $ref: '#/components/schemas/paymentMethodType' captureMethod: $ref: '#/components/schemas/captureMethod' isCapture: $ref: '#/components/schemas/isCapture' captureTime: description: Timestamp when delayed capture payment is scheduled to be automatically captured, at which point it can no longer be edited or voided. type: string initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' originalTransactionId: $ref: '#/components/schemas/originalTransactionId' isVoid: $ref: '#/components/schemas/isVoid' transactionDate: $ref: '#/components/schemas/transactionTimestamp' approvalCode: $ref: '#/components/schemas/approvalCode' hostMessage: $ref: '#/components/schemas/hostMessage' isAmountFinal: $ref: '#/components/schemas/isAmountFinal' amount: $ref: '#/components/schemas/amount' cashBackAmount: $ref: '#/components/schemas/cashBackAmount' currency: $ref: '#/components/schemas/currency' remainingRefundableAmount: $ref: '#/components/schemas/remainingRefundableAmount' remainingAuthAmount: description: Monetary value of uncaptured, approved authorizations currently being held against the card for this transaction by a given Merchant. type: integer minimum: 1 maximum: 999999999999 format: int64 example: 1234 totalAuthorizedAmount: description: Specifies the monetary value of authorizations currently being held against the Card. For zero exponent currency codes (i.e. Japanese Yen) a virtual decimal of 2 is not expected. type: integer minimum: 1 maximum: 999999999999 format: int64 example: 1234 risk: $ref: '#/components/schemas/risk' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' hostReferenceId: $ref: '#/components/schemas/hostReferenceId' statementDescriptor: $ref: '#/components/schemas/statementDescriptor' information: $ref: '#/components/schemas/information' merchant: $ref: '#/components/schemas/merchant' recurring: $ref: '#/components/schemas/recurring' installment: $ref: '#/components/schemas/installment' accountHolder: $ref: '#/components/schemas/accountHolder' shipTo: $ref: '#/components/schemas/shipTo' retailAddenda: $ref: '#/components/schemas/retailAddenda' restaurantAddenda: $ref: '#/components/schemas/restaurantAddenda' partialAuthorizationSupport: $ref: '#/components/schemas/partialAuthorizationSupport' balanceAuthorizationAmount: description: The amount returned by the issuer which indicates the balance left on the card. type: integer format: int64 example: 12785 requestedAuthorizationAmount: description: The authorized amount requested for either full or partial authorization by merchant. type: integer minimum: 1 maximum: 999999999999 format: int64 partialAuthorization: description: Indicates that the issuer has provided the merchant an authorization for a portion of the amount requested. This service provides an alternative to receiving a decline when the available card balance is not sufficient to approve a transaction in full. type: boolean paymentRequest: $ref: '#/components/schemas/paymentRequest' sourceAccountInformation: $ref: '#/components/schemas/sourceAccountInformation' externalOrderReferenceNumber: description: The identifier that payment method returns after the order placed in their system. type: string transactionRoutingOverrideList: $ref: '#/components/schemas/transactionRoutingOverrideList' transactionProcessor: $ref: '#/components/schemas/transactionProcessor' multiCapture: $ref: '#/components/schemas/multiCapture' directPay: $ref: '#/components/schemas/directPay' paymentAuthenticationResult: $ref: '#/components/schemas/paymentAuthenticationResult' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' pointOfInteraction: $ref: '#/components/schemas/pointOfInteraction' extendedHostMessage: $ref: '#/components/schemas/hostMessage' extendedHostErrorCode: $ref: '#/components/schemas/extendedHostErrorCode' merchantDefined: $ref: '#/components/schemas/merchantDefined' authorizationPurpose: $ref: '#/components/schemas/authorizationPurpose' paymentPatch: description: Payment Update type: object properties: isCapture: $ref: '#/components/schemas/isCapture' captureMethod: $ref: '#/components/schemas/captureMethod' isVoid: $ref: '#/components/schemas/isVoid' amount: $ref: '#/components/schemas/amount' isTaxable: $ref: '#/components/schemas/isTaxable' taxAmount: $ref: '#/components/schemas/taxAmount' statementDescriptor: $ref: '#/components/schemas/statementDescriptor' gratuityAmount: $ref: '#/components/schemas/gratuityAmount' surchargeAmount: $ref: '#/components/schemas/surchargeAmount' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' reversalReason: description: Codifies the explanation for an authorization of funds for a sales transaction to have an offsetting (reversal) authorization transaction before settlement occurs. The offset will release the hold of funds placed from the original authorization transaction. type: string enum: - NO_RESPONSE - LATE_RESPONSE - UNABLE_TO_DELIVER - CARD_DECLINED - MAC_NOT_VERIFIED - MAC_SYNC_ERROR - ZEK_SYNC_ERROR - SYSTEM_MALFUNCTION - SUSPECTED_FRAUD transactionState: description: |- the result of the current request, such as a payment or refund. To determine if a transaction was approved or declined, check the responseStatus. This outcome may or may not impact the payment request lifecycle; for more information, refer to the paymentRequest object. | Enumeration             | Description | | --- | --- | | `AUTHORIZED` | The initial or incremental authorization request has been successfully received and the transaction has not been captured. | | `VOIDED` | The authorization transaction has been fully reversed. In the case of an orchestrated 3D-Secure request, it can no longer be authenticated. | | `PENDING` | The transaction has been successfully received and requires additional action (e.g. complete 3D-Secure, etc.). | | `DECLINED` | The transaction has been declined and will not be processed. | | `CLOSED` | The request to transfer funds has been captured and is in process of being sent to the financial institution. | | `ERROR` | There wan error processing the request. this is a final state. For 3D-Secure, this state also means that an orchestrated challenge was initiated but never completed. | type: string readOnly: true enum: - AUTHORIZED - VOIDED - PENDING - DECLINED - CLOSED - ERROR refund: description: Input information for refund API calls type: object required: - merchant properties: merchant: $ref: '#/components/schemas/merchant' amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' statementDescriptor: $ref: '#/components/schemas/statementDescriptor' accountHolder: $ref: '#/components/schemas/accountHolder' paymentMethodType: $ref: '#/components/schemas/refundPaymentMethodType' retailAddenda: $ref: '#/components/schemas/retailAddenda' restaurantAddenda: $ref: '#/components/schemas/restaurantAddenda' paymentRequestId: $ref: '#/components/schemas/paymentRequestId' captureId: $ref: '#/components/schemas/captureId' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' pointOfInteraction: $ref: '#/components/schemas/pointOfInteraction' paymentMetadataList: type: array description: Payment Metadata List minItems: 0 items: $ref: '#/components/schemas/paymentMetadata' merchantDefined: $ref: '#/components/schemas/merchantDefined' refundResponse: description: Response information for refund API calls type: object required: - requestId - transactionState - amount - currency - responseStatus - responseCode - responseMessage properties: transactionId: $ref: '#/components/schemas/transactionId' requestId: $ref: '#/components/schemas/requestId' transactionState: $ref: '#/components/schemas/transactionState' amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' transactionReferenceId: $ref: '#/components/schemas/transactionReferenceId' remainingRefundableAmount: $ref: '#/components/schemas/remainingRefundableAmount' approvalCode: $ref: '#/components/schemas/approvalCode' hostMessage: $ref: '#/components/schemas/hostMessage' initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' transactionDate: $ref: '#/components/schemas/transactionTimestamp' merchant: $ref: '#/components/schemas/merchant' statementDescriptor: $ref: '#/components/schemas/statementDescriptor' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' accountHolder: $ref: '#/components/schemas/accountHolder' paymentMethodType: $ref: '#/components/schemas/refundPaymentMethodType' retailAddenda: $ref: '#/components/schemas/retailAddenda' restaurantAddenda: $ref: '#/components/schemas/restaurantAddenda' information: $ref: '#/components/schemas/information' hostReferenceId: $ref: '#/components/schemas/hostReferenceId' paymentRequest: $ref: '#/components/schemas/paymentRequest' transactionRoutingOverrideList: $ref: '#/components/schemas/transactionRoutingOverrideList' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' pointOfInteraction: $ref: '#/components/schemas/pointOfInteraction' recurring: $ref: '#/components/schemas/recurring' extendedHostMessage: $ref: '#/components/schemas/hostMessage' extendedHostErrorCode: $ref: '#/components/schemas/extendedHostErrorCode' merchantDefined: $ref: '#/components/schemas/merchantDefined' verification: description: Input verification information for API call type: object required: - merchant - currency - paymentMethodType properties: merchant: $ref: '#/components/schemas/merchant' currency: $ref: '#/components/schemas/currency' paymentMethodType: $ref: '#/components/schemas/verificationPaymentMethodType' initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' recurringSequence: $ref: '#/components/schemas/recurringSequence' websiteShortMerchantUniversalResourceLocatorText: description: Provides textual information about data for the protocol for specifying addresses on the Internet (Universal Resource Locator - URL) for the merchant's organization. type: string accountHolder: $ref: '#/components/schemas/accountHolder' transactionRoutingOverrideList: $ref: '#/components/schemas/transactionRoutingOverrideList' browserInfo: $ref: '#/components/schemas/browserInfo' installment: $ref: '#/components/schemas/installment' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' paymentMetadataList: type: array description: Payment Metadata List minItems: 0 items: $ref: '#/components/schemas/paymentMetadata' verificationResponse: description: Response information for verification API calls type: object required: - transactionId - requestId - currency - responseStatus - responseCode - responseMessage - hostMessage - paymentMethodType properties: transactionId: $ref: '#/components/schemas/transactionId' requestId: $ref: '#/components/schemas/requestId' currency: $ref: '#/components/schemas/currency' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' hostMessage: $ref: '#/components/schemas/hostMessage' paymentMethodType: $ref: '#/components/schemas/verificationPaymentMethodType' merchant: $ref: '#/components/schemas/merchant' merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' transactionDate: $ref: '#/components/schemas/transactionTimestamp' initiatorType: $ref: '#/components/schemas/initiatorType' accountOnFile: $ref: '#/components/schemas/accountOnFile' recurringSequence: $ref: '#/components/schemas/recurringSequence' risk: $ref: '#/components/schemas/risk' information: $ref: '#/components/schemas/information' accountHolder: $ref: '#/components/schemas/accountHolder' hostReferenceId: $ref: '#/components/schemas/hostReferenceId' approvalCode: $ref: '#/components/schemas/approvalCode' transactionRoutingOverrideList: $ref: '#/components/schemas/transactionRoutingOverrideList' verificationAuthenticationResult: $ref: '#/components/schemas/paymentAuthenticationResult' installment: $ref: '#/components/schemas/installment' subMerchantSupplementalData: $ref: '#/components/schemas/subMerchantSupplementalData' mandate: $ref: '#/components/schemas/mandate' transactionReference: description: Object
[...]
